Bug 85520 - Upgrade to sendmail-8.12.8-1.80 fails miserably
Upgrade to sendmail-8.12.8-1.80 fails miserably
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2003-03-03 17:02 EST by Thomas Bolioli
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-11 11:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Bolioli 2003-03-03 17:02:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3b) Gecko/20030210

Description of problem:
when upgrading to sendmail-8.12.8-1.80 (today's bug fix release) from
sendmail-8.12.5-7 (latest production release) fails due to even a minimally
changed config. Without harping on the fact that a bug fix release should not
have any other significant changes in it, this is expected behavior for an
upgrade of this type where the alias db format has changed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run up2date --update on any fully current patched RH 8 machine that has
sendmail installed and where configuration changes (from default) and aliases exist.
2. See error

Actual Results:  sendmail base package is skipped due to config changes. 

Expected Results:  It should upgrade.

Additional info:

The work around is:
0) run "service sendmail stop"
1) make backups of /etc/mail and /etc/aliases
2) uninstall sendmail via rpm -e --nodeps sendmail-8.12.5-7 (ignore error) to
get around dependency checking.
3) Download sendmail-8.12.8-1.80.i386.rpm from Red Hat's channel for v8 and
install it via rpm -i sendmail-8.12.8-1.80.i386.rpm
4) delete /etc/aliases.db
5) mv /etc/mail and /etc/aliases to /etc/mail.rpmnew and /etc/aliases.rpmnew
6) restore your copies of /etc/mail and /etc/aliases
7) run newaliases to create a new /etc/aliases.db
8) run "service sendmail start": if errors check diffs of old and new config
files from within /etc/mail and /etc/mail.rpmnew
Comment 1 Florian La Roche 2003-05-05 06:38:28 EDT
This is due to up2date not doing any update if config files are changed, right?
That is a precaution for updates that can not be done unattended and you can
either change the up2date configuration or select installing this update.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.